=== debian/changelog ===
sks (1.1.5-4build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:48:33 +0000

sks (1.1.5-4build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:51:51 -0600

sks (1.1.5-4) unstable; urgency=low

  * make sks depend on the exact dbx.x-util version (closes: #774368)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 22 Jan 2015 22:22:43 +0100

sks (1.1.5-3) unstable; urgency=medium

  * fix postrm if old /var/backup does not exist (closes: #718530)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 04 Nov 2014 12:12:10 +0100

sks (1.1.5-2) unstable; urgency=low

  * use start-stop-daemon with --background and --no-close instead of with
    & (closes: #765172)
  * change /var/backup/sks to /var/backups/sks for upgrade backups
    (closes: #718530)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 15 Oct 2014 17:10:51 +0200

sks (1.1.5-1) unstable; urgency=low

  [ Christoph Martin ]
  * new upstream
    - fixes CVE-2014-3207: non-persistent XSS (closes: 746626)
    - correctly handle option max_matches (closes: 742916)
    - correct documentation of dump command (closes: 600194)
  * add pgp signature option to watch file
  * remove /var/lib/sks and /var/backup/sks on purge (closes: 716838)
  * note active Berkely DB on new install (closes: 741912)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 16 May 2014 15:54:30 +0200
