=== debian/rules ===
#!/usr/bin/make -f
TMP     =$(CURDIR)/debian/sks

OCAMLABI = $(shell ocamlc -version)
BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
all      = $(if $(BYTECODE),all.bc,all)
install  = $(if $(BYTECODE),install.bc,install)
OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))

export DEB_BUILD_OPTIONS += $(if $(BYTECODE)," nostrip",)

BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^.i | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')

%:
	dh  $@ --with=ocaml

override_dh_auto_clean:
	touch Makefile.local
	dh_auto_clean
#	touch .depend

override_dh_clean:
	dh_clean -X .orig

override_dh_auto_build:
	touch Makefile.local
	make dep
	dh_auto_build -v --  $(all)

override_dh_auto_install:
#	dh_auto_install -v -- PREFIX="$(TMP)/usr" MANDIR="$(TMP)/usr/share/man" $(install)
	$(MAKE) PREFIX="$(TMP)/usr" MANDIR="$(TMP)/usr/share/man" $(install)
#	Debian specific
	cp -a debian/debcfg/* debian/sks/etc/sks
#	Check that we have a value for BDB_VERSION
	[ -n "$(BDB_VERSION)" ]
	echo $(BDB_VERSION) > debian/sks/usr/lib/sks/berkeley_db.txt
	cp -a sampleWeb/OpenPKG/* debian/sks/var/lib/sks/www/

override_dh_gencontrol:
	dh_gencontrol -- -Vbdb:Depends="db$(BDB_VERSION)-util"
