=== debian/changelog ===
sks (1.1.6-14) unstable; urgency=medium

  * move to debhelper 11
  * Standards-Version: 4.1.3 (no changes needed)
  * move Vcs: * fields to salsa.debian.org
  * use DEP-14 repo branch naming scheme
  * d/control: add Rules-Requires-Root: no
  * debian/tests/basic: reverse the order of the diffs
  * d/changelog: clean trailing whitespace
  * autopkgtest:  no need to work around #870780 any more
  * trim noisy GnuPG fields
  * send systemctl enable stderr to stdout

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 23 Feb 2018 14:55:28 -0800

sks (1.1.6-13) unstable; urgency=medium

  * one more fix to autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 08 Aug 2017 13:31:41 -0400

sks (1.1.6-12) unstable; urgency=medium

  * /var/lib/sks/dump should be owned by debian-sks too
  * streamline automated setup
  * refresh git metadata in patches
  * disable by default on sysvinit-managed systems (same as systemd)
  * autopkgtest: work around #870780

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Aug 2017 01:34:00 -0400

sks (1.1.6-11) unstable; urgency=medium

  * logrotate: use invoke-rc.d instead of explicit /etc/init.d
  * test: ensure that the dumps are owned by debian-sks
  * description: refer explicitly to RFC 4880
  * use systemd vendor presets to not enable sks daemons by default
  * sks-db-setup is now clearer about system integration suggestions
  * drop /etc/default/sks (see NEWS)
    - non-systemd systems should enable/disable sks via update-rc.d
  * clean up autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Aug 2017 13:23:24 -0400

sks (1.1.6-10) unstable; urgency=medium

  * debian/tests/basic needs sks installed

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Aug 2017 01:27:06 -0400

sks (1.1.6-9) unstable; urgency=medium

  * Pre-build Bdb library (fix parallel build) (Closes: #870398)
  * correct the autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 22:07:10 -0400

sks (1.1.6-8) unstable; urgency=medium

  * Try a different mechanism for build parallelism and
    dependency-tracking

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 18:14:58 -0400

sks (1.1.6-7) unstable; urgency=medium

  * allow building in parallel (Closes: #870398)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 16:16:47 -0400

sks (1.1.6-6) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix FTBFS with OCaml 4.05.0 (Closes: #870150)

  [ Daniel Kahn Gillmor ]
  * bump Standards-Version to 4.0.0 (no changes needed)
  * wrap-and-sort -ast
  * implement basic autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Aug 2017 10:20:24 -0400

sks (1.1.6-5) unstable; urgency=medium

  [ Daniel Kahn Gillmor]
  * move to debhelper 10

  [ Christoph Martin ]
  * compile with system zarith where cryptokit depends on (closes: #868631)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jul 2017 15:34:53 +0200

sks (1.1.6-4) unstable; urgency=medium

  * fix watch file

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 09 Nov 2016 09:58:48 +0100

sks (1.1.6-3) unstable; urgency=medium

  * fix sks-build-db script. Thanks, Brian Minton (Closes: #835982)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 29 Aug 2016 16:19:25 -0400

sks (1.1.6-2) unstable; urgency=medium

  * Make SKS pie (thanks, Stéphane Glondu!) (Closes: #834044)
  * minor improvements to /etc/init.d/sks (instigated by lintian)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Aug 2016 12:32:04 -0400

sks (1.1.6-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Aug 2016 02:36:22 -0400

sks (1.1.5-8) unstable; urgency=medium

  * avoid ftbfs on arches without a native ocamlopt

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 May 2016 02:25:22 -0400

sks (1.1.5-7) unstable; urgency=medium

  * re-include stock files in /var/lib/sks/www
  * fix typo in example config file.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 11 May 2016 11:10:21 -0400

sks (1.1.5-6) unstable; urgency=medium

  * ship useful helper scripts: sks-db-setup and sks-db-upgrade
  * drop ancient tests in postinst, improve logic, and simplify by using
    sks-db-upgrade
  * avoid recursive chowns (Closes: #705725)
  * sks-db-upgrade will not fail when database or log files are absent
    (Closes: #750504)
  * remove the debian-sks user on purge (Closes: #778726)
  * add service dependencies and fix BindsTo typo (Closes: #823781)
  * ensure that /var/lib/sks exists (Closes: #823780)
  * update README.Debian to reflect these changes

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 11 May 2016 02:39:32 -0400

sks (1.1.5-5) unstable; urgency=medium

  * canonicalize header files
  * bump to Standards-Version 3.9.8 (no changes needed)
  * move logrotate from Depends: to Suggests:
  * pull upstream fixes, and changes that support handling Curve 25519 keys
  * make sysvinit script depend on $network (Closes: #822248)
  * Depend: on db-util so that cronjob can clean up (Closes: #795080)
  * added systemd service files (Closes: #715360)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 May 2016 20:10:29 -0400
