=== debian/tests/control ===
Tests: basic
Restrictions: needs-root, isolation-container
Depends: debian-archive-keyring, systemd-sysv, gnupg (>= 2.1~), dirmngr (>=2.1~), diffutils, @
