=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/skskeyserver/sks-keyserver/downloads/@PACKAGE@@ANY_VERSION@\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
