## sks 1.1.6%2Bgit20210302.c3ba6d5a

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,24 @@
 Section: net
 Priority: optional
 Standards-Version: 4.1.3
-Maintainer: Christoph Martin <martin@uni-mainz.de>
-Uploaders:
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  camlp4,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-ocaml (>= 0.9~),
  libcryptokit-ocaml-dev (>= 1.2-4),
  libdb-dev,
- libzarith-ocaml-dev,
+ libnum-ocaml-dev,
  ocaml (>= 3.08),
+ ocaml-findlib,
  ocaml-nox (>= 1.3-4),
  perl,
  perl-doc,
  zlib1g-dev,
 Vcs-Browser: https://salsa.debian.org/debian/sks
 Vcs-Git: https://salsa.debian.org/debian/sks.git
-Homepage: https://bitbucket.org/skskeyserver/sks-keyserver/wiki/Home
+Homepage: https://github.com/SKS-Keyserver/sks-keyserver
 Rules-Requires-Root: no
 
 Package: sks
