## sks 1.1.6+git20200620.9e9d504

=== bdb/Makefile ===
--- 
+++ 
@@ -12,13 +12,11 @@
 #########################################################################
 
 # $Id: Makefile,v 1.6 2003/07/05 15:16:29 yminsky Exp $
-include ../Makefile.local
+-include ../Makefile.local
 
 CINCLUDES=-I`ocamlc -where` $(BDBINCLUDE)
-CC=gcc
-CXX=g++
-CFLAGS=-O3 -Werror-implicit-function-declaration $(CINCLUDES) $(BDBLIB) -I .
-CXXFLAGS=-O3 $(CINCLUDES) $(BDBLIB) -I .
+CFLAGS+=-O3 -Werror-implicit-function-declaration $(CINCLUDES) $(BDBLIB) -I .
+CXXFLAGS+=-O3 $(CINCLUDES) $(BDBLIB) -I .
 
 MKLIB=ocamlmklib
 RANLIB=ranlib
@@ -36,7 +34,7 @@
 COBJS = bdb_stubs.o
 
 ocextr: ocextr.ml
-	$(OCAMLOPT) -o ocextr ocextr.ml
+	$(OCAMLC) -o ocextr ocextr.ml
 
 libbdb.a: $(COBJS)
 	$(MKLIB) -custom -o bdb $(COBJS)
@@ -56,7 +54,7 @@
 	ocamlmktop -o bdbcaml -custom unix.cma bdb.cma $^
 
 partialclean:
-	rm -f *.cm*
+	rm -f *.cm* *.annot
 
 clean: partialclean
 	rm -f *.a *.o
