=== debian/changelog ===
sks (1.1.6+git20200620.9e9d504-1) unstable; urgency=medium

  * import upstream commits
  * fixes build with safe-strings and ocaml > 4.08 (closes: #939962)
  * change upstream URL from bitbucket.org to github.com
  * fix some lintian issues

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 16 Sep 2020 18:56:08 +0200

sks (1.1.6-15) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * removing myself from uploaders

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Add missing colon in closes line.

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 15 Sep 2020 10:55:27 +0200
