## sks 1.1.6+git20210302.c3ba6d5a

=== Makefile ===
--- 
+++ 
@@ -15,29 +15,26 @@
 #   USA
 #
 CINCLUDES=-I`ocamlc -where`
-CC=gcc
-CXX=g++
-CFLAGS=-O3 -Werror-implicit-function-declaration $(CINCLUDES) -I .
-CXXFLAGS=-O3 $(CINCLUDES) -I .
+CFLAGS+=-O3 -Werror-implicit-function-declaration $(CINCLUDES) -I .
+CXXFLAGS+=-O3 $(CINCLUDES) -I .
 
 ifndef OCAMLC
-	OCAMLC=ocamlc
+	OCAMLC=ocamlfind ocamlc
 endif
 ifndef OCAMLOPT
-	OCAMLOPT=ocamlopt
-endif
-ifndef CAMLP4O
-	CAMLP4O=camlp4o
+	OCAMLOPT=ocamlfind ocamlopt
 endif
 
 export OCAMLC
 export OCAMLOPT
-export CAMLP4O
-
-include Makefile.local
+
+-include Makefile.local
 
 ifndef PREFIX
 	PREFIX=/usr/local
+endif
+ifndef MANDIR
+	MANDIR=$(PREFIX)/share/man
 endif
 ifeq ($(BDBLIB),)
 	OCAMLLIB=
@@ -54,13 +51,12 @@
 WARNERR=-warn-error A
 endif
 
-CAMLP4=-pp $(CAMLP4O)
-CAMLINCLUDE= -I lib -I bdb
-COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) $(CAMLLDFLAGS) -ccopt -Lbdb -dtypes $(WARNERR)
-OCAMLDEP=ocamldep $(CAMLP4)
-CAMLLIBS=unix.cma str.cma bdb.cma nums.cma bigarray.cma cryptokit.cma
-OCAMLFLAGS=$(COMMONCAMLFLAGS) -g $(CAMLLIBS)
-OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -inline 40 $(CAMLLIBS:.cma=.cmxa)
+CAMLINCLUDE= -package cryptokit,unix,str,bigarray,num -I bdb
+COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) $(CAMLLDFLAGS) -ccopt -Lbdb -annot -bin-annot $(WARNERR)
+OCAMLDEP=ocamldep
+CAMLLIBS=bdb.cma
+OCAMLFLAGS=$(COMMONCAMLFLAGS) -linkpkg -g $(CAMLLIBS)
+OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -linkpkg -inline 40 $(CAMLLIBS:.cma=.cmxa)
 
 EXE=sks sks_add_mail
 ALL=$(EXE) sks.8.gz
@@ -109,7 +105,10 @@
 
 EXEOBJS.bc=$(RSERVOBJS.bc) build.cmo fastbuild.cmo dbserver.cmo pdiskTest.cmo
 
-LIBS.bc= lib/cryptokit.cma bdb/bdb.cma
+DOCOBJS = $(MOBJS) $(ROBJS) $(OBJS) $(EXEOBJS)
+DOC_ML := $(wildcard $(DOCOBJS:.cmx=.ml) $(DOCOBJS:.cmx=.mli))
+
+LIBS.bc= bdb/bdb.cma
 LIBS=$(LIBS.bc:.cma=.cmxa)
 
 VERSION := $(shell cat VERSION)
@@ -126,29 +125,23 @@
 common.cmo: common.ml VERSION
 	$(OCAMLC) $(OCAMLFLAGS) -pp "sed s/__VERSION__/$(COMMA_VERSION)/" -c $<
 
-keyMerge.cmo: keyMerge.ml
-	$(OCAMLC) $(OCAMLFLAGS) $(CAMLP4) -c $<
-
-keyMerge.cmx: keyMerge.ml
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(CAMLP4) -c $<
-
 # Special targets
 
 install:
-	mkdir -p $(PREFIX)/bin
-	install sks_build.sh sks sks_add_mail $(PREFIX)/bin
-	mkdir -p $(MANDIR)/man8
-	install sks.8.gz $(MANDIR)/man8
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	install sks_build.sh sks sks_add_mail $(DESTDIR)$(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(MANDIR)/man8
+	install sks.8.gz $(DESTDIR)$(MANDIR)/man8
 
 install.bc:
-	mkdir -p $(PREFIX)/bin
-	install sks_build.bc.sh sks.bc sks_add_mail.bc $(PREFIX)/bin
-	mkdir -p $(MANDIR)/man8
-	install sks.8.gz $(MANDIR)/man8
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	install sks_build.bc.sh sks.bc sks_add_mail.bc $(DESTDIR)$(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(MANDIR)/man8
+	install sks.8.gz $(DESTDIR)$(MANDIR)/man8
 
 
 Makefile.local:
-	@if [ ! -e Makefile.local ]; then echo "Makefile.local has to be defined before building. See Makefile.local.unused"; exit 1; fi;
+	@if [ ! -e Makefile.local ]; then echo "Makefile.local can be defined before build to override some choices. See Makefile.local.unused for example"; exit 1; fi;
 
 src:
 	if [ ! -x $(VERSIONPREFIX) ]; then ln -s . $(VERSIONPREFIX); fi
@@ -223,10 +216,6 @@
 	$(OCAMLOPT) -o sks_add_mail $(CAMLLDFLAGS) unix.cmxa \
 	pMap.cmx pSet.cmx add_mail.cmx
 
-ocamldoc.out: $(ALLOBJS) $(EXEOBJS)
-	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
-	-dot $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml
-
 sks_logdump.bc: $(LIBS.bc) $(ALLOBJS.bc) logdump.cmo
 	$(OCAMLC) -o sks_logdump.bc $(OCAMLFLAGS) $(ALLOBJS.bc) logdump.cmo
 
@@ -246,16 +235,11 @@
 	$(OCAMLOPT) -o ptree_replay $(OCAMLOPTFLAGS) $(ALLOBJS) \
 	reconPTreeDb.cmx ptree_replay.cmx
 
-modules.dot: ocamldoc.out
-	./recolor.py < ocamldoc.out > modules.dot
-
-modules.ps: modules.dot
-	dot -Nfontsize=200 modules.dot -Tps -o modules.ps
-
-doc: $(ALLOBJS) $(EXEOBJS)
+.PHONY: doc
+doc: all
 	mkdir -p doc
-	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
-	-html $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml
+	ocamlfind ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
+	-html -d doc $(CAMLINCLUDE) $(filter-out common.ml, $(DOC_ML))
 
 ##################################
 # LIBS
@@ -274,37 +258,10 @@
 
 
 prepared:
-	mkdir -p lib
 	mkdir -p tmp/bin
 	mkdir -p tmp/include
 	touch prepared
 
-
-CKVER=cryptokit-1.7
-CKDIR=$(CKVER)/src
-
-$(CKVER)/README.txt:
-	tar xmvfz $(CKVER).tar.gz
-	patch -p 0 < $(CKVER)-sks.patch
-	patch -p 0 < $(CKVER)-sks-custom_compare.patch
-
-$(CKDIR)/cryptokit.cma: $(CKVER)/README.txt
-	cd $(CKDIR) && $(MAKE) all
-
-$(CKDIR)/cryptokit.cmxa: $(CKVER)/README.txt
-	cd $(CKDIR) && $(MAKE) allopt
-
-lib/cryptokit.cma: $(CKDIR)/cryptokit.cma $(CKDIR)/cryptokit.cmxa prepared
-	cp $(CKDIR)/cryptokit.cmi $(CKDIR)/cryptokit.cma \
-	   $(CKDIR)/cryptokit.mli lib
-	cp $(CKDIR)/libcryptokit.a lib
-	if test -f $(CKDIR)/dllcryptokit.so; then \
-	   cp $(CKDIR)/dllcryptokit.so lib; fi
-	if test -f $(CKDIR)/cryptokit.cmxa; then \
-	   cp $(CKDIR)/cryptokit.cmxa $(CKDIR)/cryptokit.cmx \
-	   $(CKDIR)/cryptokit.a lib; fi
-
-lib/cryptokit.cmxa: lib/cryptokit.cma
 
 ################################
 # old stuff
@@ -390,30 +347,26 @@
 
 # Clean up
 mlclean:
-	rm -f *.cm[iox]
+	rm -f *.cm[ioxt] *.cmti
 	rm -f *.annot
 	rm -f *.opt
 	rm -f *.bc
 	rm -rf spider sksclient
 	rm -f $(ALL) $(ALL.bc)
 
-clean: mlclean
+clean: mlclean bdbclean
 	rm -f *.o
 	rm -f prepared
 	rm -f sks.8.gz
 
-cleanall: clean bdbclean
-	rm -f lib/*
-	rm -rf $(CKVER)
-
-distclean: cleanall
+distclean: clean
 	rm -rf Makefile.local
-	rm -rf .depend tmp lib
+	rm -rf .depend tmp
 
 # Dependencies
 
 dep:
-	$(OCAMLDEP) $(INCLUDES) *.mli *.ml > .depend
+	$(OCAMLDEP) $(wildcard *.ml *.mli) > .depend
 
 -include .depend
