=== debian/changelog ===
sks (1.1.6+git20210302.c3ba6d5a-4.1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:58:34 +0100

sks (1.1.6+git20210302.c3ba6d5a-4.1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:41:37 +0200

sks (1.1.6+git20210302.c3ba6d5a-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr (Closes: #1073607)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 00:33:15 +0200

sks (1.1.6+git20210302.c3ba6d5a-4) unstable; urgency=medium

  * include tail-recursive-key-parsing.patch from
    https://github.com/SKS-Keyserver/sks-keyserver/pull/79
  * include Do-not-error-on-warning-6-labels-omitted.patch (closes: 1002657)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 24 Jan 2022 12:33:30 +0100

sks (1.1.6+git20210302.c3ba6d5a-3) unstable; urgency=medium

  * don't abort in cleandb call in sks_build.sh (closes: 975711)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 22 Mar 2021 10:50:41 +0100

sks (1.1.6+git20210302.c3ba6d5a-2) unstable; urgency=medium

  * reinclude 0011-non-interactive-use-of-sks_build.sh.patch (closes: #975711)

 -- Christoph Martin <martin@uni-mainz.de>  Sun, 21 Mar 2021 20:24:07 +0100

sks (1.1.6+git20210302.c3ba6d5a-1) unstable; urgency=medium

  * import upstream commits fixes dbt readonly error
  * add filter for poison keys

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 02 Mar 2021 10:07:28 +0100
