=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Standards-Version: 4.1.3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Martin <martin@uni-mainz.de>
+Maintainer: Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  camlp4,
  debhelper-compat (= 12),
