=== debian/rules ===
--- 
+++ 
@@ -35,3 +35,5 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vbdb:Depends="db$(BDB_VERSION)-util"
+
+override_dh_dwz:
