=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sks-keyserver-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tgz\.asc/ \
  https://github.com/SKS-Keyserver/sks-keyserver/tags .*/v?(\d\S+)\.tar\.gz
